% TEMPLATE for Usenix papers, specifically to meet requirements of
%  USENIX '05
% originally a template for producing IEEE-format articles using LaTeX.
%   written by Matthew Ward, CS Department, Worcester Polytechnic Institute.
% adapted by David Beazley for his excellent SWIG paper in Proceedings,
%   Tcl 96
% turned into a smartass generic template by De Clarke, with thanks to
%   both the above pioneers
% use at your own risk.  Complaints to /dev/null.
% make it two column with no page numbering, default is 10 point

% Munged by Fred Douglis <douglis@research.att.com> 10/97 to separate
% the .sty file from the LaTeX source template, so that people can
% more easily include the .sty file into an existing document.  Also
% changed to more closely follow the style guidelines as represented
% by the Word sample file. 

% Note that since 2010, USENIX does not require endnotes. If you want
% foot of page notes, don't include the endnotes package in the 
% usepackage command, below.

% This version uses the latex2e styles, not the very ancient 2.09 stuff.
\documentclass[letterpaper,twocolumn,10pt]{article}
\usepackage{usenix,epsfig,endnotes}

\usepackage{algorithm}
\usepackage{algorithmicx}
\usepackage[noend]{algpseudocode}
\usepackage{amssymb}
\usepackage{bytefield}

\algblockdefx[UPON]{UponReceive}{EndUponReceive}[2]{\textbf{upon receive} \textsc{#1}(#2)}{endupon}
\algblockdefx[TASK]{Task}{EndTask}[1]{\textbf{task} #1}{\textbf{endtask}}


\begin{document}

%don't want date printed
\date{}

%make title bold and 14 pt font (Latex default is non-bold, 16 pt)
\title{\Large \bf Multisource Rumor Spreading with Network Coding}

%for single author (just remove % characters)
\author{
{\rm David Bromberg, Quentin Dufour, Davide Frey}\\
Your Institution
% copy the following lines to add more authors
% \and
% {\rm Name}\\
%Name Institution
} % end author

\maketitle

% Use the following at camera-ready time to suppress page numbers.
% Comment it out when you first submit the paper for review.
%\thispagestyle{empty}


\subsection*{Abstract}
Your Abstract Text Goes Here.  Just a few facts.
Whet our appetites.

\section{Introduction}
\input{fragments/introduction.tex}

\section{Background and related works}
\input{fragments/background.tex}

\section{Contributions}
\input{fragments/protocol.tex}

\section{Evaluation}
\input{fragments/evaluation.tex}

\section{Conclusion}

{\footnotesize \bibliographystyle{acm}
\bibliography{biblio}}

%\theendnotes

\end{document}

% One common point between all these approaches is that they consider the problem of disseminating only one event. Of course, they can easily be adapted to multiple events dissemination by just repeating the protocol for each events.
% However, if we consider from the beginning that we will have to disseminate many events, we can use coding techniques to mix several events in order to reduce the bandwidth needed to disseminate multiple events.
